Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083760 - PRD35 - [RFE] Prevent host fencing while kdumping
Summary: PRD35 - [RFE] Prevent host fencing while kdumping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Martin Perina
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
Depends On: 1079821
Blocks: 960739 1124127 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-02 22:08 UTC by Barak
Modified: 2016-02-10 19:15 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this feature, a host is prevented from rebooting when the host is in the middle of a Kdump process to prevent any log loss.
Clone Of: 1079821
Environment:
Last Closed: 2015-02-11 18:00:16 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Barak 2014-04-02 22:08:26 UTC
+++ This bug was initially created as a clone of Bug #1079821 +++

Description of problem:

With power management configured, host will be fenced during kdump, making the crash dump useless.  Crash dumps are essential for diagnosing kernel issues.

oVirt 3.5 behavior to prevent host in kdump flow to get fenced is described at http://www.ovirt.org/Fence_kdump

Comment 1 Barak 2014-04-13 15:10:13 UTC
Closing Bug 970259 as duplicate of this Bug.

Comment 2 Barak 2014-04-13 15:10:54 UTC
*** Bug 970259 has been marked as a duplicate of this bug. ***

Comment 3 Martin Perina 2014-06-30 13:43:13 UTC
I've added some notes about feature testing to http://www.ovirt.org/Fence_kdump#Testing

Comment 4 sefi litmanovich 2014-08-25 14:54:09 UTC
Verified with ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch,
according to Test plan 14167

Comment 6 errata-xmlrpc 2015-02-11 18:00:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.